import 'package:sql_query/builder/query_builder.dart';
import 'package:sql_query/database_model.dart';

class Produk { 
    static const String table = 'produk';
    static const String mProduct = 'm_product';
    static const String pId = 'p_id';
    static const String pSatuan = 'p_satuan';
    static const String pNama = 'p_nama';

    static tables() { 
        return TableDatabase(
            tableName: "produk",
            column: [
                ColumnDatabase(name: mProduct, typeData:DataType.text),
                ColumnDatabase(name: pId, typeData:DataType.integer, primaryKey: true, autoIncrement: true),
                ColumnDatabase(name: pSatuan, typeData:DataType.integer),
                ColumnDatabase(name: pNama, typeData:DataType.text),
            ],
        );
    } 

    static get() { 
        final q = DB.table(table);
        return q.get();
    } 

    static insert() { 
        final q = DB.table(table);
        // q.data({mProduct: "your value", pId: "your value", pSatuan: "your value", pNama: "your value"}); // add your data here
        return q.insert();
    } 

} 
