import 'package:sql_query/database_model.dart';
import 'package:sql_query/query.dart';

class Satuan {
  static const String table = 'm_satuan';
  static const String id = 's_id';
  static const String nama = 's_nama';

  static tables() {
    return TableDatabase(tableName: table, column: [
      ColumnDatabase(name: id, typeData: DataType.integer, primaryKey: true, autoIncrement: true),
      ColumnDatabase(name: nama, typeData: DataType.text),
    ]);
  }

  static add() async {
    final q = DB.table(table);
    q.data({nama: 'nice'});
    await q.insert();
  }

  static get() async {
    final q = DB.table(table);
    print(await q.get());
  }

  static delete() async {
    final q = DB.table(table);
    await q.delete();
  }
}
